package agilpizza;

import static org.junit.Assert.*;

import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class PrecoDosIngredientesTest extends SeleniumTestCase {
	@Test
	public void testarErroSePrecoNaoEhNumero() {
		sel.open("/AgilPizza/editarPrecosDosIngredientes.jsp");
		sel.select("NomeDoIngrediente", "label=Muzzarela de Búfala");
		sel.type("Preco", "sdrfdsf");
		sel.click("//input[@value='Atualizar Preço']");
		sel.waitForPageToLoad("30000");
		assertTrue(sel.isTextPresent("O preço deve ser um número válido !"));
	}
	
	@Test
	public void testarErroSePrecoEhVazio() {
		sel.open("/AgilPizza/editarPrecosDosIngredientes.jsp");
		sel.select("NomeDoIngrediente", "label=Muzzarela de Búfala");
		sel.type("Preco", "");
		sel.click("//input[@value='Atualizar Preço']");
		sel.waitForPageToLoad("30000");
		assertTrue(sel.isTextPresent("O preço deve ser um número válido !"));
	}
	
	@Test
	public void testarErroPrecoNaoEhNumerico() {
	
	sel.open("/AgilPizza/editarPrecosDosIngredientes.jsp");
	sel.select("NomeDoIngrediente", "label=Tomate");
	sel.type("Preco", "novo preco");
	sel.click("//input[@value='Atualizar Preço']");
	sel.waitForPageToLoad("30000");
	assertTrue(sel.isTextPresent("O preço deve ser um número válido !"));
	
	}	
	
	@Test
	public void testarSePrecoValido() {
	sel.open("/AgilPizza/editarPrecosDosIngredientes.jsp");
	sel.select("NomeDoIngrediente", "label=Tomate");
	sel.type("Preco", "23434.50");
	sel.click("//input[@value='Atualizar Preço']");
	sel.waitForPageToLoad("30000");
	assertTrue(sel.isTextPresent("Tomate"));
	assertTrue(sel.isTextPresent("23434,50"));
	} 

	@Test
	public void testarErroPrecoComVirgula() {
	sel.open("/AgilPizza/editarPrecosDosIngredientes.jsp");
	sel.select("NomeDoIngrediente", "label=Tomate");	
	sel.type("Preco", "9,90");
	sel.click("//input[@value='Atualizar Preço']");
	sel.waitForPageToLoad("30000");
	assertTrue(sel.isTextPresent("O preço deve ser um número válido !"));
	}

	@Test
	public void testarErroPrecoNegativo() {	
	sel.open("/AgilPizza/editarPrecosDosIngredientes.jsp");
	sel.select("NomeDoIngrediente", "label=Tomate");
	sel.type("Preco", "-7,90");
	sel.click("//input[@value='Atualizar Preço']");
	sel.waitForPageToLoad("30000");
	assertTrue(sel.isTextPresent("O preço deve ser um número válido !"));
	}
	
	
	
}
